﻿using Administrator.DataBase.DBModels;
using Microsoft.EntityFrameworkCore;

namespace Administrator.DataBase
{
    public class AdminDataBaseContext : DbContext
    {
        public AdminDataBaseContext(DbContextOptions<AdminDataBaseContext> options)
            : base(options)
        {
        }

        public DbSet<Admin> Administrators { get; set; }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            modelBuilder.Entity<Admin>().ToTable("Administrators");
        }
    }
}
