﻿using Buyer.DataBase.DBModels;
using Microsoft.EntityFrameworkCore;

namespace Buyer.DataBase
{
    public class BuyerDataBaseContext : DbContext
    {
        public BuyerDataBaseContext(DbContextOptions<BuyerDataBaseContext> options)
            : base(options)
        {
        }

        public DbSet<Buyers> Buyers { get; set; }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            modelBuilder.Entity<Buyers>().ToTable("Buyers");
        }
    }
}
