# Лабораторная работа 3 - REST API, Gateway и синхронный обмен между микросервисами

## Описание
Были разработаны два микросервиса с простыми CRUD операциями и реализован синхронный обмен сообщениями между ними. 

Тема дипломной работы: Разработка системы для автоматизации процессов управления компьютерным клубом на платформе .Net

На основе темы были созданны сущности:

Администратор:
- Идентификатор
- Имя
- Фамилия
- Идентификатор клиента (связь "один ко многим")

Клиент:
- Идентификатор
- Имя
- Фамилия

Сервис Аминистратора имеет возможность управлять списком Клиентов. При создании Администратора можно указать идентификатор Клиента, 
после чего идет запрос на сервис Клиента с целью узнать существует ли привязываемый Клиент. реализовано с помощью Web-API, интерфейс Swagger, 
база данных PostgreSQL. Каждый сервис использует свою базу данных.

## Запуск

1. Запустить Docker
2. Открыть консоль, перейти в папку, где хранится docker-compose.yml
3. Выполнить команду:
```
docker compose up --build
```

## Результат
Выполняем команду:
```
docker compose ps
```
Видим, что контейнеры успешно подняты. 
Заходим на http://localhost:32774/swagger/index.html и http://localhost:32773/swagger/index.html - создаем администраторов и клиентов через Swagger.
Видим, что клиенты успешно созданны. 
Создаем администраторов с ссылкой на клиента.

## Отчет
Работоспособность: [видео](https://vk.com/video372869030_456239953?list=ln-KBJP1uxkWkQNlqzohl)